package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.ext.CompanyModelDengji;
import com.ruoyi.system.domain.visit.dr.ext.VisitDrParams;
import com.ruoyi.system.domain.visit.dr.ext.VisitDrTaskExt;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskExtMapper {
  List<VisitDrTaskExt> selectList();
  VisitDrTaskExt selectDetail(@Param("taskId") String taskId);
  List<CompanyModelDengji> getCompanySupervisionModel();

 int getCompanyCountByYear(@Param("chooseFormType") String chooseFormType);

    List<VisitDrParams>  getVisitDrCheckList();
}
